/*
    Copyright (C) 1995-97 AROS - The Amiga Research OS
    $Id: setargstr.c,v 1.1.1.1 2005/03/15 15:54:40 laire Exp $

    Desc:
    Lang: english
*/
#include "dos_intern.h"
#include <dos/dosextens.h>
#include <proto/exec.h>

/*****************************************************************************

    NAME */
#include <proto/dos.h>

	AROS_LH1(STRPTR, SetArgStr,

/*  SYNOPSIS */
	AROS_LHA(STRPTR, string, D1),

/*  LOCATION */
	struct DosLibrary *, DOSBase, 90, Dos)

/*  FUNCTION
	Sets the arguments to the current process. The arguments must be
	reset to the original value before process exit.

    INPUTS
	string	-   The new argument string. (A C string).

    RESULT
	The address of the previous argument string. May be NULL.

    NOTES

    EXAMPLE

    BUGS

    SEE ALSO
	GetArgStr(), RunCommand()

    INTERNALS

    HISTORY
	27-11-96    digulla automatically created from
			    dos_lib.fd and clib/dos_protos.h

*****************************************************************************/
{
    AROS_LIBFUNC_INIT
    AROS_LIBBASE_EXT_DECL(struct DosLibrary *,DOSBase)

    STRPTR oldStr;
    struct Process *me = (struct Process *)FindTask(NULL);

    FAILFORTASK(me, return NULL;)

    oldStr = me->pr_Arguments;
    me->pr_Arguments = string;

    return oldStr;

    AROS_LIBFUNC_EXIT
} /* SetArgStr */
